name: syncrow_app
description: This is the mobile application project, developed with Flutter for
  Syncrow IOT Project.
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.30+16

environment:
  sdk: ">=3.0.6 <4.0.0"

dependencies:
  cached_network_image: ^3.3.1
  cupertino_icons: ^1.0.6
  dio: ^5.4.1
  equatable: ^2.0.5
  firebase_analytics: ^11.4.0
  firebase_core: ^3.10.0
  firebase_crashlytics: ^4.3.0
  flutter:
    sdk: flutter
  flutter_animated_dialog: ^2.0.1
  flutter_svg: ^2.0.10+1
  sleek_circular_slider: ^2.0.1
  day_picker: ^2.3.0
  # Utility Packages
  flutter_secure_storage: ^9.0.0
  flutter_dotenv: ^5.1.0
  # noinspection YAMLSchemaValidation
  intl: ^0.20.1
  get_it: ^8.0.3
  url_launcher: ^6.3.1
  # flutter_localization: ^0.2.0
  flutter_bloc: ^8.1.4
  html: ^0.15.4
  onesignal_flutter: ^5.2.0
  permission_handler: ^11.3.1
  pin_code_fields: ^8.0.1
  share_plus: ^10.1.3
  shared_preferences: ^2.2.2
  smooth_page_indicator: ^1.1.0
  uuid: ^4.4.0
  time_picker_spinner: ^1.0.0
  image_picker: ^1.1.2
  device_info_plus: ^11.2.0
  fl_chart: ^0.70.1
  firebase_database: ^11.3.0
  percent_indicator: ^4.2.3
  flutter_html: ^3.0.0-beta.2


dev_dependencies:
  flutter_lints: ^5.0.0
  flutter_test:
    sdk: flutter

flutter_assets:
  assets_path: assets/
  output_path: lib/generated2/
  filename: Assets.assetsIconsDart

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/icons/
    - assets/fonts/
    - assets/icons/doorlock-assets/
    - assets/icons/presence-sensor-assets/
    - assets/icons/battery/dmOff/
    - assets/icons/battery/dmOn/
    - assets/icons/unlockingMethodsIcons/
    - assets/icons/linkageIcons/
    - assets/icons/MenuIcons/GeneralSettingsIcons/
    - assets/icons/MenuIcons/HomeManagementIcons/
    - assets/icons/MenuIcons/LeagalInfoIcons/
    - assets/icons/MenuIcons/MessagesCenterIcons/
    - assets/icons/MenuIcons/SecurityAndPrivacyIcons/
    - assets/icons/curtainsIcon/
    - assets/icons/functions_icons/
    - assets/icons/functions_icons/automation_functions/
    - .env.dev
    - .env.staging
    - .env.prod


  fonts:
    - family: Aftika
      fonts:
        - asset: assets/fonts/AftikaRegular.ttf
  #  - family: Trajan Pro
  #    fonts:
  #      - asset: fonts/TrajanPro.ttf
  #      - asset: fonts/TrajanPro_Bold.ttf
